<?php
/*
# ------------------------------------------------------------------------
# JA Ores template for Joomla 1.5.x
# ------------------------------------------------------------------------
# Copyright (C) 2004-2010 JoomlArt.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2. CSS / JS are Copyrighted Commercial,
# bound by Proprietary License of JoomlArt. For details on licensing, 
# Please Read Terms of Use at http://www.joomlart.com/terms_of_use.html.
# Author: JoomlArt.com
# Websites:  http://www.joomlart.com -  http://www.joomlancers.com
# Redistribution, Modification or Re-licensing of this file in part of full, 
# is bound by the License applied. 
# ------------------------------------------------------------------------
*/ 
// no direct access
defined('_JEXEC') or die('Restricted access');	
?>
<div class="ja-twitter">
	<?php if( $params->get('showtextheading') ) : ?>
	<h4><?php echo $params->get('headingtext'); ?></h4>
	<?php endif; ?>
	
	<!-- ACCOUNT INFOMATION -->
	<?php if( $useDisplayAccount && !empty($accountInfo)): ?>
	<div class="ja-twitter-account">
		<?php include( JModuleHelper::getLayoutPath( 'mod_jatwitter', 'screen_name') ); ?>
	</div>
	<?php endif; ?>
	<!-- // ACCOUNT INFOMATION -->
	
	<!-- LISTING FRIENDS -->
	<?php if ( $useFriends && isset($friends) && is_array($friends) ): ?>
	<div class="ja-twitter-friends clearfix">
		<h4><?php echo  JText::_( 'MY FRIENDS' ); ?></h4>
		<?php foreach( $friends as $friend ) : ?>
			<a href="http://twitter.com/<?php echo $friend->screen_name; ?>" title="<?php echo $friend->name; ?>" target="_blank">
				<img width="<?php echo $sizeIconfriend; ?>" alt="<?php echo $friend->name; ?>" src="<?php echo $friend->profile_image_url; ?>" />	
			</a>	
		<?php endforeach; ?>
	</div>
	<?php endif; ?>
	<!-- //LISTING FRIENDS -->
	
	<!-- LISTING TWEETS -->
	<?php if( is_array($list) && !empty($list) ) : ?>	
	<div class="ja-twitter-tweets">
	
		<?php foreach( $list as $item ) : ?>
		<div class="ja-twitter-item">
			<?php if( $showIcon ) : ?>
			<div class="ja-twitter-image">
		 		<a href="http://twitter.com/<?php echo $item->screen_name; ?>" target="_blank">
					<img src="<?php echo $item->profile_image_url; ?>" width="<?php echo $iconsize; ?>" alt="<?php echo $item->name; ?>" class="ja-twitter-avatar" />
				</a>
			</div>
			<?php endif ; ?>
			
			<?php if( $showSource ) : ?>
			<div class="ja-twitter-source">
				<?php echo JText::_( 'FROM' ); ?> <span><?php echo $item->source; ?></span>
			</div>
			<?php endif ; ?>
			
			<div class="ja-twitter-text">
				<?php if( $showUsername ) : ?>
			    <a href="http://twitter.com/<?php echo $item->screen_name; ?>" target="_blank"><?php echo $item->name; ?></a>
				<?php endif ; ?>
					
				<?php echo $jatHerlper->convert( $item->text ); ?>
			</div>
			<div class="ja-twitter-date" style="">
				<?php echo $jatHerlper->getDate( $item->created_at ); ?>
			</div>
		</div>
		<?php endforeach; ?>
	</div>
	<?php endif; ?>	
	<!-- //LISTING TWEETS -->
	
	<?php if ( $showfollowlink == "1" ){ ?>
	<center>
		<img alt="twitter" src="<?php echo JURI::base();?>modules/mod_jatwitter/assets/images/twitter-16x16.png" align="left"/>
		<a href="http://twitter.com/<?php echo $taccount;?>/" target="_blank" title="<?php echo JTEXT::_('FOLLOW');?> <?php echo $taccount; ?> <?php echo JTEXT::_('ON TWITTER');?>">
			<span><?php echo JTEXT::_('FOLLOW');?> <?php echo $taccount; ?> <?php echo JTEXT::_('ON TWITTER');?></span>
		</a>
	</center>
	<?php } elseif ( $showfollowlink == "2" ) { ?>
	<center>
		<a target="_blank" href="http://twitter.com/<?php echo $taccount;?>/" title="<?php echo JTEXT::_('FOLLOW');?> <?php echo $taccount; ?> <?php echo JTEXT::_('ON TWITTER');?>">
				<img src="http://static.twitter.com/images/twitter_bubble_logo.gif" class="nostyle" align="right" alt="<?php echo JTEXT::_('FOLLOW');?> <?php echo $taccount; ?> <?php echo JTEXT::_('ON TWITTER');?>" />
		</a>
	</center>
	 <?php } ?>
</div>